### Function

# Aravis FakeCameraFillPattern

#### Declaration

    void
    (* ArvFakeCameraFillPattern) (
      ArvBuffer* buffer,
      void* fill_pattern_data,
      guint32 exposure_time_us,
      guint32 gain,
      ArvPixelFormat pixel_format
    )

#### Description

No description available.

#### Parameters

`buffer`

  Type: `ArvBuffer`

  No description available.

  The data is owned by the caller of the function.

`fill_pattern_data`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`exposure_time_us`

  Type: `guint32`

  No description available.

`gain`

  Type: `guint32`

  No description available.

`pixel_format`

  Type: `ArvPixelFormat`

  No description available.